Package oracle.kv.table

# Enum ReturnRow.Choice

java.lang.Object
java.lang.Enum<ReturnRow.Choice>
oracle.kv.table.ReturnRow.Choice

All Implemented Interfaces:
  `Serializable`, `Comparable<ReturnRow.Choice>`

Enclosing interface:
  ReturnRow

public static enum ReturnRow.Choice extends Enum<ReturnRow.Choice>
Specifies whether to return the row value, version, both or neither.

For best performance, it is important to choose only the properties that are required. The store is optimized to avoid I/O when the requested properties are in cache.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  Return both the value and the version.
  `NONE`
  Do not return the value or the version.
  `VALUE`
  Return the value only.
  `VERSION`
  Return the version only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ReturnRow.Choice`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ReturnRow.Choice[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VALUE

    public static final ReturnRow.Choice VALUE
    Return the value only.

  - ### VERSION

    public static final ReturnRow.Choice VERSION
    Return the version only.

  - ### ALL

    public static final ReturnRow.Choice ALL
    Return both the value and the version.

  - ### NONE

    public static final ReturnRow.Choice NONE
    Do not return the value or the version.

- ## Method Details

  - ### values

    public static ReturnRow.Choice[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ReturnRow.Choice valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null